:root {
    --default-border-line: 2px solid;
    --default-border: 12px;
    --msg-border: 10px;    
    --msg-color: white;
    --msg-color1: #8BABFF;
    --msg-color2: #1ebbd6; 
    --msg-color1-op: var(--point-color1-op);
    --msg-color2-op: var(--point-color2-op);
    --base-font-ko:'Chosunilbo_myungjo';
    --msg-font-ko:'SUIT-Regular';
    --msg-font-ko-size: 12px; 
    --msg-line-height:16px; 
    --msg-font-eng: var(--base-font-eng);
    --msg-font-color: #555;
    --display-font-eng:'Yeseva One';    
    /*그림자css*/
    --msg-shadow1: 0px 1px 5px 0px rgba(0, 0, 0, 0.1);
    --msg-shadow2: 0 10px 5px -10px rgba(0, 0, 0, 0.3);
    --msg-shadow3: 0 0 3px 0 rgba(0, 0, 0, 0.2); 
}
.msg_icon {
    font-family: 'Material Symbols Rounded';    
    font-variation-settings: 'FILL' 1; /*마테리얼 가변 설정*/
    font-size: 22px;
    line-height: 28px;
    color: var(--msg-color2);
    opacity: 0.6;
}
.msg_icon:hover {opacity: 1;}

/*ㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡ
    메신저 목록
ㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡ*/
#board_body { width: 100%;
    min-height:100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}
#board_frame {
    position: relative;
    width: 850px;
    height: 700px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border: var(--default-border-line) var(--msg-color1);
    border-radius: 0 0 var(--default-border) var(--default-border);
    background-color: var(--msg-color);
    -webkit-box-shadow: var(--default-box-shadow);
    box-shadow: var(--default-box-shadow);
}
#board_container {
    width: 100%;
    height: 100%;
    display: flex;
    position: relative;
    color: var(--msg-font-color);
    font-family: var(--msg-font-eng);    
}
#board_frame::before { 
    content: "";
    width: 100% ;
    height: 27px;
    display: block;
    position: absolute;
    top: var(--default-before-top);
    right: 0;
    z-index: -1;
    background: linear-gradient(to right, var(--point-color1) 40%, var(--point-color2));
    border-radius: var(--default-border) var(--default-border) 0 0;
    border: var(--default-border-line) var(--msg-color1);
}
.board_header{
    width: 100%;
    position: absolute;
    top: var(--default-before-top);
    right: 0;
    display: flex;
    justify-content: space-between;
}
.board_header div { padding-left: 6px; }
.board_header span,.board_header>a{
    box-sizing: border-box;
    line-height: 28px;
    color: var(--msg-color);
    text-shadow: -1px 0px var(--msg-color1), 0px 1px var(--msg-color1), 1px 0px var(--msg-color1), 0px -1px var(--msg-color1);
}
.board_header span{padding-left: 6px; font-size: 16px; cursor: pointer;}
.board_header a{ padding-right: 12px; font-size: 9px; letter-spacing: -3px;}
.board_header span:hover,.board_header>a:hover{
    color: var(--point-color2);
    text-shadow: -1px 0px var(--msg-color2), 0px 1px var(--msg-color2), 1px 0px var(--msg-color2), 0px -1px var(--msg-color2);
}
.board_header>a:hover{color: var(--point-color1);}



#board_left {
    width: 30%;
    height: 100%;
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    border-right: var(--default-border-line) var(--msg-color1);
    flex-shrink: 0;
}
#board_right { 
    position: relative;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    box-sizing: border-box;
    flex-grow: 1;
}
#board_top {
    height: 30px;
    flex-shrink: 0;
    position: relative;
}

#board_top .edit_top
,#board_top > ul {
    width: 100%;
    height: 100%;
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: center;
}
#board_top .edit_top{
    position: absolute;
    top: 0; left: 0;
    margin-top: 2px; 
    display: none;
    color: var(--msg-color1);
    background-color: var(--msg-color);
}
#board_top .edit_top.open { display: flex; }

,#board_top > ul { display: flex; }
#board_top > ul > li { margin-top: 4px; }
#board_top > ul > li > a { 
    margin-right: 5px;
    color: var(--msg-color1); 
    opacity: 0.6;
}
#board_top > ul > .selected > a { 
    margin-right: 5px;
    color: var(--msg-color2);
    opacity: 1;
}
#board_top > ul > li:last-child > a { margin-right: 0; }

#board_bottom {
    height: auto;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;
    flex-shrink: 0;
    box-sizing: border-box;
    padding-bottom: 30px;
}


#board_left #fboardlist{
    width: 100%;
    flex-grow: 1;
    position: relative;
    overflow: hidden;
}
#msg_list, #msg_list_edit { 
    width: 100%; height: 100%; 
    background-color: var(--msg-color);
}
.msg_list_edit {
    position: absolute;
    top: 0; left: 0;
    z-index: 1;
    display: none; 
}
.msg_list_edit.open { display: block; }

#msg_list_empty, .msg_empty {
    width: 100%;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    opacity: 0.7;
}
.msg_li{
    position: relative;
    width: 100%;
    padding: 0 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
}
.msg_li:last-child{
    border-bottom: none;
}
.msg_li .li_back{
    height: calc(100% - 5px);
    position: absolute;
    top: 4px; left: 15px;
    z-index: -1;
    background: var(--msg-color1-op);
    border-radius: var(--msg-border);
}
.msg_li .li_sub{
    width: 100%;
    flex-shrink: 0;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    font-family: var(--msg-font-ko);
    cursor: pointer;
}
.msg_li .li_info{
    width: 100%;
    display: flex;
    flex-wrap: nowrap;    
    justify-content: space-between;
}
.msg_li .li_left{
    flex-grow: 1;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}
.msg_li .li_right{
    text-align: right;
    flex-shrink: 0;
}
#msg_list .msg_li .li_left
,#msg_list .msg_li .li_right { width: auto; }

.msg_li .li_right a{
    opacity: 0;
}.msg_li:hover .li_right a{ opacity: 1; }
.msg_li .msg_icon{
    font-size: 11px;
    line-height: 16px;
    vertical-align: middle;
}
.msg_li .msg_num, .msg_li .msg_name, .msg_li .msg_date{
    padding-right: 1px;
    color: var(--msg-color1);
}
.msg_li .msg_num{ font-weight: 800; }
.msg_li .msg_name{ font-family: var(--msg-font-ko); }
.msg_li .msg_cate{ color: var(--msg-color2);}
.msg_li .msg_date{
    padding-left: 1px;
    color: var(--msg-color1);
}



.msg_li .li_back, #msg_search{
    width: calc(100% - 30px);
}
#msg_search {
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0.6;
}
#msg_search > select
,#msg_search > input[type="text"] {
    flex-basis: 50%;
    width: 50%;
    height: 22px;
    padding: 0 5px; 
    outline: none;
    background: transparent;
    color: #000;
    font-family: var(--msg-font-ko);
    box-sizing: border-box;
    border: var(--default-border-line) var(--msg-color1);
    border-radius: calc(var(--msg-border) - 2px);
}
#msg_search > select {
    margin-right: 5px;
}
#msg_search > input[type="text"] { 
}
/* #msg_search > select, #msg_search > input[type="text"] {    
    -webkit-box-shadow: var(--msg-shadow2);
    box-shadow: var(--msg-shadow2);
} */

/* SWIPER */
#msg_nav {
    width: 100%;
    height: 30px;
    overflow: hidden;
    position: relative;
}
#msg_nav .msg_nav1 { display: flex; }
#msg_nav .msg_nav2 { 
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
}
#msg_nav .msg_nav2.open { display: flex; }
#msg_nav .pager {
    width: 100%; 
    height: 100%; 
    justify-content: center;
    align-items: center;
    background-color: var(--msg-color);
}
#msg_nav .pager .swiper-pagination-bullet {
    height: 4px;
    background: var(--msg-color1);
    opacity: 0.2;
}
#msg_nav .pager .swiper-pagination-bullet-active {    
    background: var(--msg-color1);
    opacity: 0.6;
}



/*ㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡ
    메신저 내용
ㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡ*/
#msg_view{
    width: 100%; height: 100%;    
}
#msg_box { 
    position: relative;
    width: 100%; height: 100%;
    padding: 20px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
}
#msg_box::before {
    flex-shrink: 0;
    width: 100%;
    height: 40px;
    display: block;
    text-align: center;
    line-height: 30px;
    font-size: 20px;
    font-family: var(--display-font-eng);
    text-shadow: -1px 0px var(--msg-color1), 0px 1px var(--msg-color1), 1px 0px var(--msg-color1), 0px -1px var(--msg-color1);
    color: var(--msg-color);
}

#msg_txt_list{
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;    
}
#msg_txt_list>li>span{ width: 100%; }
#msg_container{
    flex-grow: 1;
    width: 100%;
    padding: 10px;
    box-sizing: border-box;
    overflow: auto;
    mask-image: linear-gradient(360deg, #00000000, black 5%, black 95%, #00000000);
    -webkit-mask-image: linear-gradient(360deg, #00000000, black 5%, black 95%, #00000000)
}
/*스크롤*/ 
#msg_container::-webkit-scrollbar {
    /*border: 4px solid var(--msg-color1);*/
}
#msg_container::-webkit-scrollbar-thumb,
.msg_write::-webkit-scrollbar-thumb{
    -webkit-box-shadow: none;
    background-color: var(--msg-color1);
}
#msg_container::-webkit-scrollbar-track,
.msg_write::-webkit-scrollbar-track{    
    -webkit-box-shadow: none;
    background-color: rgba(0,0,0,0.05);
    opacity: 0.2;
}



#msg_info > i {
    display: flex;
    align-items: center;
    opacity: 0.7;
}
#msg_info > i::before {
    content: "";
    flex-grow: 1;
    height: 1px;
    margin: 0 10px;
    background: var(--msg-font-color);
    opacity: 0.7;
}
#msg_info > i::after {
    content: "";
    flex-grow: 1;
    height: 1px;
    margin: 0 10px;
    background: var(--msg-font-color);
    opacity: 0.7;
}  
.msg_left,.msg_right{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}
.msg_left{ margin-top: 10px; }
.msg_right{
    margin-top: 10px;
    justify-content: right;
    flex-direction: row-reverse;
}
.msg_left+.msg_left,.msg_right+.msg_right{
    margin-top: 2px; /*이어보낸 메세지는 상단여백 조정*/
}
.msg_left .msg_content,.msg_right .msg_content{
    display: inline-block;
    max-width: calc(100% - 110px);
    padding: 5px;
    position: relative;
    box-sizing: border-box;
    font-size: var(--msg-font-ko-size);
    line-height: var(--msg-line-height);
    font-family: var(--msg-font-ko);
    color: var(--msg-color);
    text-align: left;
    border: 4px solid transparent;
}
.msg_left .msg_content{ 
    border-radius:  var(--msg-border) var(--msg-border) var(--msg-border) 2px;
    background: var(--msg-color1);
}
.msg_right .msg_content{ 
    border-radius: var(--msg-border) var(--msg-border) 2px var(--msg-border);
    background: var(--msg-color2);
}
.msg_left .msg_tail.msg_content
,.msg_right .msg_tail.msg_content{ 
    max-width: calc(100% - 65px);
    margin-bottom: 1px;
}

.msg_left .msg_tail.msg_content:after {
	content: '';
	position: absolute;
	bottom: 0;
    left: -4px;
	width: 0;
	height: 0;
	border: 9px solid transparent;
	border-top-color: var(--msg-color1);
	border-bottom: 0;
	border-left: 0;
	margin-bottom: -9px;
}
.msg_right .msg_tail.msg_content:after {
	content: '';
	position: absolute;
	bottom: 0;
    right: -4px;
	width: 0;
	height: 0;
	border: 9px solid transparent;
	border-top-color: var(--msg-color2);
	border-bottom: 0;
	border-right: 0;
	margin-bottom: -9px;
} 

.msg_act {
    display: flex;
    align-items: center;
    max-width: 57px;
    margin: 0 6px; 
    white-space: nowrap;
    opacity: 0;
}
.msg_left .msg_act { flex-direction: row-reverse; }
.msg_left .msg_act > span:last-of-type {margin-right:-2px;}
.msg_right .msg_act > span:last-of-type {margin-left:-2px;}

.msg_left:hover .msg_act,.msg_right:hover .msg_act  { opacity: 1; }
.msg_margin {
    display: block;
    width: 100%;
    padding: 20px 0;    
}

/*프로필*/
.msg_p_img{    
    width: 34px; height: 34px;
    border-radius: 50%;
    -webkit-box-shadow: 0 0 3px 0px rgba(0, 0, 0, 0.2);
    box-shadow: 0 0 3px 0px rgba(0, 0, 0, 0.2);
}
.msg_left .msg_p_img{ margin-right: 5px; }
.msg_right .msg_p_img{ margin-left: 5px; }
.msg_p_empty { width: 37px; height: 32px; opacity: 0;}

.msg_p_name{  
    width: 100%;
    padding: 2px 38px;
    box-sizing: border-box;
    font-size: 11px;
    line-height: 13px;
    font-family: var(--msg-font-ko);
    font-weight: bold;
}
.msg_left .msg_p_name{ color: var(--msg-color1); }
.msg_right .msg_p_name{ color: var(--msg-color2); text-align: right;}
.msg_tail.msg_p_name{ padding: 1px 2px; }



/*메세지 작성창*/    
#msg_sendbox{
    min-height: 50px;
    flex-shrink: 0;
    padding: 10px;
    box-sizing: border-box;
}
.msg_send{
    display: flex;
    position: relative;
    box-sizing: border-box;
    margin-top: 7px;
    flex-direction: column;
    background: var(--msg-color1-op);
    border: var(--default-border-line) var(--msg-color2);
    border-radius: var(--msg-border);
}  
.msg_send>textarea{ 
    min-height: 45px;
    padding: 5px 40px 5px 5px;
    margin-top: 1px;
    color: #000;
    font-family: var(--msg-font-ko);
    background: transparent;
    outline: none;
    border: none;
    opacity: 0.8;
}
#msg_wr_content{    
    overflow: hidden;
    resize: vertical;
}
.msg_send>textarea::-webkit-scrollbar {display: none;}/*투명스크롤*/
.msg_send .msg_wr_name::placeholder{
    color: var(--msg-color2);
    line-height: 17px;
}
.msg_send_btn{
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: absolute;
    top: 50%;
    right: 2px;
    transform: translateY(-50%);
    width: 35px;
    text-align: center;
}
#msg_btn_submit {transform: rotate(-45deg);}
#msg_btn_submit:hover{ transform: rotate(0); } 
.msg_btn{
    display: block;
    margin-top: -4px;
    border: none;
    background: transparent;
} 
.msg_left .msg_icon{ color: var(--msg-color1); } 
.msg_send .msg_wr_name{
    height: 17px;
    min-height: 17px;
    padding: 2px 5px 0 5px;
    word-break: keep-all;
    font-size: 11px;
    font-weight: bold;
    color: var(--msg-color2);
    border: none !important;
}
.msg_left .msg_send, .msg_right .msg_send { margin-top: 20px 0; } 
.msg_left .msg_send>textarea{ border: var(--default-border-line) var(--msg-color1); } 
.msg_left .msg_send .msg_wr_name{ color: var(--msg-color1); }
.msg_right .msg_send{ text-align: right; }


/*이미지 파일*/
.msg_send_img {display: none;}
.msg_send_img.open {display: block;}

.msg_send_img .file_btn,.msg_send_img .file_ex{ /*파일업로드 리디자인*/ 
    display: block;    
    width: 100%;
    height: 20px;
    line-height: 20px;
    margin-top: 5px;
    padding: 0 10px;    
    box-sizing: border-box;
    text-align: center;
    color: var(--msg-color);    
    background: var(--msg-color2);
    border-radius: var(--msg-border);
    cursor: pointer;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}
.msg_send_img .file_btn{ font-family: var(--msg-font-eng); }
.msg_send_img .file_ex{ font-family: var(--base-font-ko); }

.msg_send_img .file_btn:hover {
    background: var(--msg-color2);    
}
.msg_send_img input[type="file"] { display: none; }

.msg_content span {position: relative;}
.msg_content span > label {
    display: flex;
    visibility: hidden;
    position: absolute;
    right: 0; margin: 7px;
    font-family: var(--base-font-eng);
    background: var(--msg-color2);
    border-radius: var(--msg-border);
    border: 1px solid var(--msg-color2);
    box-sizing: border-box;
    padding: 0 10px 0 6px;
}
.msg_content span > .open {visibility: visible;}
.msg_content span > label > i {margin-bottom: 2px;}



/*ㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡ
    메신저 새글 작성
ㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡ*/

.msg_write {
    display: none;
    flex-direction: column;
    position: absolute;
    top: 0; left: 0;
    width: 100%; height: 100%;
    z-index: 10;
    overflow-y: auto;
}
.msg_write.open { display: flex }
.wr_form{
    height: 100%;
    padding: 50px 0;
    display: flex;
    flex-direction: column;
    justify-content: center;   
    align-items: center; 
}
.wr_form dt, .wr_form button { width: 100%; }
.wr_form dt, .wr_form button, .file_upload .file_btn {
    display: block;
    height: 20px;
    padding: 0 10px;
    box-sizing: border-box;
    text-align: center;
    font-family: var(--msg-font-eng);
    color: var(--msg-color);
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    background: var(--msg-color1);
    border-radius: var(--default-border);
    /* box-shadow: var(--msg-shadow3);
    -webkit-box-shadow: var(--msg-shadow3); */
}
.file_upload .file_btn:hover {
    background: var(--msg-color2);
}
.file_upload input[type="file"] { display: none; }

.wr_form dl { width: 50%; margin: 8px 0;}
.wr_form dt { position: relative; margin-bottom: 4px; }
.wr_form dd { margin: 0; }
.wr_form select, .wr_form input[type="text"] 
, .wr_dataform label, .file_upload .file_ex {
    flex-basis: 0; flex-grow: 1;
    display: block;
    padding: 0 10px;
    height: 20px;
    font-family: var(--base-font-ko);
    background: var(--msg-color);
    border-radius: var(--default-border);
    outline: none;    
    border: 1px solid var(--msg-color1);
    box-sizing: border-box;
    /* box-shadow: var(--msg-shadow3);
    -webkit-box-shadow: var(--msg-shadow3); */
}
.file_upload .file_ex { 
    margin-top: 4px; 
    text-align: center;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}
.wr_dataform .file_ex { margin:0; }

.wr_form button { border: none; }
.wr_form select { color: var(--msg-color1);}
.wr_form select>option {text-align: center;}
.wr_form input[type="text"] { color: var(--msg-font-color);}
.wr_form input[type="text"]::placeholder {
    color: var(--msg-color1);
    text-align: center;
}
.msg_btn_add{
    width: 14px;
    height: 14px;
    position: absolute;
    top:3px; right: 5px;
    line-height: 14px;
    font-size: 12px;
    font-weight: 800;
    border-radius: 50%;
    color: var(--msg-color1);
    background: var(--msg-color);
}

.wr_form textarea {
    margin-top: 10px;
    height: 50px !important;
    border-radius: var(--default-border);
    border: none;    
    outline: none;
    color: var(--msg-font-color);
    background: var(--msg-color);
    font-family: var(--base-font-ko);
    /* box-shadow: var(--msg-shadow3);
    -webkit-box-shadow: var(--msg-shadow3); */
}

/*옵션 체크박스*/
.wr_dataform{
    width: 100%;
    display: flex;
    flex-wrap: nowrap;    
    margin-top: 2px;
}
.wr_dataform:first-child{ margin-top 0;}

.wr_dataform input[type="checkbox"]
,.file_upload input[type="checkbox"]
,.msg_send input[type="checkbox"]{ display: none; }
.wr_dataform label{
    text-align: center;
    color: var(--msg-color1);
    cursor: pointer;
}
.wr_dataform label:hover
,.wr_form button:hover
,.msg_btn_add:hover {
    color: var(--msg-color);
    background: var(--msg-color2);
}
.wr_dataform input[type="checkbox"] + span
,.file_upload input[type="checkbox"] + span{
    display: inline-block;
    width: 12px;
    height: 12px;
    vertical-align: text-bottom;
    margin-right: 5px;
    border-radius: 50%;
    box-sizing: border-box;
    border: 1px solid var(--msg-color1);
    background: var(--msg-color)
}
.wr_dataform input[type="checkbox"]:checked + span
,.file_upload input[type="checkbox"]:checked + span {
    background: var(--msg-color1);
}
/*카데고리 공지선택 비활성*/
#ca_name option:last-child{ display: none; }



/*ㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡ
    모바일 반응형
ㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡㅡ*/

@media all and (max-width:1023px) { /*태블릿*/  

}

@media all and (max-width:767px) { /*모바일*/
    #board_frame {
        position: relative;
        width: 100%;
        height: 1100px; }
    #board_container {flex-direction: column;}
    #board_left {
        width: 100%;
        height: 200px; }
    #board_bottom {display: none;}
    
    #msg_box {padding: 0px 5px;}    
    .msg_margin {padding: 300px 0;}
    
    .msg_li {flex-direction: row;}
    .msg_li .li_info {width: 30%;}
    .msg_li .li_sub {width: 70%; padding-left: 10px;}
    
}























